AOZ Studio Beta - Bug #885

Transpiler fails on an unclosed Procedure in this situation

01/06/2022 11:36 AM - Brian Flanagan

Status: Closed Start date: 01/06/2022
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: none

Affected version: 1.0.0 (B11) ut17

Description

Example:

MyProcedure

Procedure MyProcedure
Print "test"

Return

Instead of displaying a "Missing End Procedure" or "Procedure without End Procedure”

error, the transpiler just freezes, presumably in an infinite loop. As a result, you

have to kill AOZ and restart.

History

#1 - 01/12/2022 03:00 PM - Francois Lionet

- Status changed from New to Resolved

Fixed!

#2 - 02/17/2022 07:44 AM - Brian Flanagan

- Status changed from Resolved to Closed

Thanks Francois!
It's working now.
